Package org.eclipse.birt.chart.model.attribute

# Enum LegendBehaviorType

java.lang.Object
java.lang.Enum<LegendBehaviorType>
org.eclipse.birt.chart.model.attribute.LegendBehaviorType

All Implemented Interfaces:
  `Serializable`, `Comparable<LegendBehaviorType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LegendBehaviorType extends Enum<LegendBehaviorType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Legend Behavior Type', and utility methods for working with them. This type defines the allowed values for Legend behaviors.

See Also:
  - `AttributePackage.getLegendBehaviorType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIGHLIGHT_SERIE_LITERAL`
The 'Highlight Serie' literal object.
`NONE_LITERAL`
The 'None' literal object.
`TOGGLE_SERIE_VISIBILITY_LITERAL`
The 'Toggle Serie Visibility' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HIGHLIGHT_SERIE`
The 'Highlight Serie' literal value.
`static final int`
`NONE`
The 'None' literal value.
`static final int`
`TOGGLE_SERIE_VISIBILITY`
The 'Toggle Serie Visibility' literal value.
`static final List<LegendBehaviorType>`
`VALUES`
A public read-only list of all the 'Legend Behavior Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LegendBehaviorType`
`get(int value)`
Returns the 'Legend Behavior Type' literal with the specified integer value.
`static LegendBehaviorType`
`get(String literal)`
Returns the 'Legend Behavior Type' literal with the specified literal value.
`static LegendBehaviorType`
`getByName(String name)`
Returns the 'Legend Behavior Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LegendBehaviorType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LegendBehaviorType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE_LITERAL

public static final LegendBehaviorType NONE_LITERAL
The 'None' literal object.

See Also:
  - `NONE`

### TOGGLE_SERIE_VISIBILITY_LITERAL

public static final LegendBehaviorType TOGGLE_SERIE_VISIBILITY_LITERAL
The 'Toggle Serie Visibility' literal object.

See Also:
  - `TOGGLE_SERIE_VISIBILITY`

### HIGHLIGHT_SERIE_LITERAL

public static final LegendBehaviorType HIGHLIGHT_SERIE_LITERAL
The 'Highlight Serie' literal object.

See Also:
  - `HIGHLIGHT_SERIE`

## Field Details

### NONE

public static final int NONE
The 'None' literal value.

If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NONE_LITERAL`
  - Constant Field Values

### TOGGLE_SERIE_VISIBILITY

public static final int TOGGLE_SERIE_VISIBILITY
The 'Toggle Serie Visibility' literal value.

If the meaning of 'Toggle Serie Visibility' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TOGGLE_SERIE_VISIBILITY_LITERAL`
  - Constant Field Values

### HIGHLIGHT_SERIE

public static final int HIGHLIGHT_SERIE
The 'Highlight Serie' literal value.

If the meaning of 'Highlight Serie' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HIGHLIGHT_SERIE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<LegendBehaviorType> VALUES
A public read-only list of all the 'Legend Behavior Type' enumerators.

## Method Details

### values

public static LegendBehaviorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LegendBehaviorType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LegendBehaviorType get(String literal)
Returns the 'Legend Behavior Type' literal with the specified literal value.

### getByName

public static LegendBehaviorType getByName(String name)
Returns the 'Legend Behavior Type' literal with the specified name.

### get

public static LegendBehaviorType get(int value)
Returns the 'Legend Behavior Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LegendBehaviorType>`